VST 3 SDK VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
UMPMessage2 Struct Reference

`#include <ump.h>`

Inheritance diagram for UMPMessage2:

## Public Member Functions
__inline__ | __attribute__ ((__always_inline__)) const expr uint8_t byte5_7bits() const
__inline__ | __attribute__ ((__always_inline__)) const expr uint8_t byte6_7bits() const
__inline__ | __attribute__ ((__always_inline__)) const expr uint8_t byte7_7bits() const
__inline__ | __attribute__ ((__always_inline__)) const expr uint8_t byte8_7bits() const
__inline__ | __attribute__ ((__always_inline__)) const expr uint16_t byte5_16bits() const
__inline__ | __attribute__ ((__always_inline__)) const expr uint16_t byte7_16bits() const
__inline__ | __attribute__ ((__always_inline__)) const expr uint8_t byte5() const
__inline__ | __attribute__ ((__always_inline__)) const expr uint8_t byte6() const
__inline__ | __attribute__ ((__always_inline__)) const expr uint8_t byte7() const
__inline__ | __attribute__ ((__always_inline__)) const expr uint8_t byte8() const
Public Member Functions inherited from UMPMessage
__inline__ | __attribute__ ((__always_inline__)) const expr MessageType type() const
__inline__ | __attribute__ ((__always_inline__)) const expr size_t messageWordCount() const
__inline__ | __attribute__ ((__always_inline__)) const expr uint8_t group() const
__inline__ | __attribute__ ((__always_inline__)) const expr uint8_t byte3_7bits() const
__inline__ | __attribute__ ((__always_inline__)) const expr uint8_t byte4_7bits() const
__inline__ | __attribute__ ((__always_inline__)) const expr uint8_t byte1() const
__inline__ | __attribute__ ((__always_inline__)) const expr uint8_t byte2() const
__inline__ | __attribute__ ((__always_inline__)) const expr uint8_t byte3() const
__inline__ | __attribute__ ((__always_inline__)) const expr uint8_t byte4() const

## Public Attributes
uint32_t | data2
Public Attributes inherited from UMPMessage
uint32_t | data

## Additional Inherited Members
Protected Member Functions inherited from UMPMessage
template<typename T, size_t pos, size_t bits>
__inline__ | __attribute__ ((__always_inline__)) const expr T bitMask() const
template<typename T, size_t pos, size_t bits>
__inline__ | __attribute__ ((__always_inline__)) const expr T value(T data) const
Static Protected Attributes inherited from UMPMessage
static constexpr std::array | wordCounts

## Member Function Documentation

## ◆ __attribute__() [1/10]

__inline__ __attribute__ | ( | (__always_inline__) |  | ) | const
| inline

## ◆ __attribute__() [2/10]

__inline__ __attribute__ | ( | (__always_inline__) |  | ) | const
| inline

## ◆ __attribute__() [3/10]

__inline__ __attribute__ | ( | (__always_inline__) |  | ) | const
| inline

## ◆ __attribute__() [4/10]

__inline__ __attribute__ | ( | (__always_inline__) |  | ) | const
| inline

## ◆ __attribute__() [5/10]

__inline__ __attribute__ | ( | (__always_inline__) |  | ) | const
| inline

## ◆ __attribute__() [6/10]

__inline__ __attribute__ | ( | (__always_inline__) |  | ) | const
| inline

## ◆ __attribute__() [7/10]

__inline__ __attribute__ | ( | (__always_inline__) |  | ) | const
| inline

## ◆ __attribute__() [8/10]

__inline__ __attribute__ | ( | (__always_inline__) |  | ) | const
| inline

## ◆ __attribute__() [9/10]

__inline__ __attribute__ | ( | (__always_inline__) |  | ) | const
| inline

## ◆ __attribute__() [10/10]

__inline__ __attribute__ | ( | (__always_inline__) |  | ) | const
| inline

## Member Data Documentation

## ◆ data2

uint32_t data2

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.